Frmo Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/frmo-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1717113600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.frmocorp.com/_content/10k/FRMO_Annual_Report_2024.pdf",
    "holding_balance": 157.4,
    "holding_net_change": 10.6,
    "transaction_value_usd": 444630.0,
    "average_entry_value_usd": 41946.23,
    "transaction_value_calculated": false
  },
  {
    "date": 1748649600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.frmocorp.com/_content/10k/FRMO_Annual_Report_2025.pdf",
    "holding_balance": 159.0,
    "holding_net_change": 1.6,
    "transaction_value_usd": 91735.0,
    "average_entry_value_usd": 57334.38,
    "transaction_value_calculated": false
  },
  {
    "date": 1756598400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.frmocorp.com/_content/10q/FRMO_Corp_Q1_2026.pdf",
    "holding_balance": 159.1,
    "holding_net_change": 0.1,
    "transaction_value_usd": 19875.0,
    "average_entry_value_usd": 198750.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    159.1
  ],
  [
    1779062400000,
    159.1
  ],
  [
    1779148800000,
    159.1
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    12319090.726
  ],
  [
    1779062400000,
    12241833.357
  ],
  [
    1779148800000,
    12212517.591
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 6.58,
    "date": "2026-05-15",
    "high": 6.68,
    "open": 6.64,
    "close": 6.64,
    "volume": 27500
  },
  {
    "low": 6.57,
    "date": "2026-05-18",
    "high": 6.66,
    "open": 6.6,
    "close": 6.62,
    "volume": 7900
  },
  {
    "low": 6.51,
    "date": "2026-05-19",
    "high": 6.68,
    "open": 6.59,
    "close": 6.65,
    "volume": 7921
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 28.116,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -5.67,
  "six_month_return": -18.0,
  "three_month_return": -6.6
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/frmo-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 4.2,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}